/*
** EPITECH PROJECT, 2018
** task01
** File description:
** I do task
*/

#ifndef __GAME_H__
# define __GAME_H__

#include "lib/s_sfml.h"
void game_main(sfml_t *sfml, char *map_name);
void update_player(sfml_t *sfml);
void update_wall(sfml_t *sfml);
void update_thrower(sfml_t *sfml, thrower_t **thrower, level_t *level);
void collision_show(sfml_t *sfml);
void collision_pik(sfml_t *sfml);
void collision_princess(sfml_t *sfml);
void collision_player_run(scene_t *scene);
void collision_player_jump(scene_t *scene);
void collision_wall(sfml_t *sfml);
void collision_stone(sfml_t *sfml);
void game_camera_update(scene_t *scene, int width, int height);

#endif
